Page MenuHomePhabricator

Add maintenance script to populate change_tag_def
Closed, ResolvedPublic

Description

The third part of normalizing change tag schema T185355: Normalize change tag schema

  • This will run the Special:Tags query (in ChangeTags::tagUsageStatistics()) and use it to populate the change_tag_def table. It will also populate ct_tag_id for every row in the change_tag table.

Event Timeline

Ladsgroup created this task.May 4 2018, 1:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2018, 1:32 PM
Reedy renamed this task from Add maintaince script to populate change_tag_def to Add maintenance script to populate change_tag_def.May 4 2018, 1:55 PM
TTO added a comment.May 31 2018, 1:32 AM

I'd like to see this maintenance script written in such a way that it updates the count of tags already present in the table, removing those with ctd_user_defined = 0 and ctd_count = 0. In this way, we can set up a cronjob to update counts on every wiki, say every week or 2 weeks.

As we know from site statistics and category counts, any increment/decrement type counting is bound to get out of sync with reality. This cronjob is, to me, an essential part of this change to how tags are counted.

This is a very good point and I think something that we can consider if we want to move towards using different transactions to update the tables. cc. @Anomie @tstarling @hoo

Change 437642 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@master] Add maintenance to populate change_tag_def table and ct_tag_id field

https://gerrit.wikimedia.org/r/437642

Ladsgroup moved this task from Incoming to Peer Review on the Wikidata-Campsite board.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 5 2018, 11:06 PM

Change 437642 merged by jenkins-bot:
[mediawiki/core@master] Add maintenance to populate change_tag_def table and ct_tag_id field

https://gerrit.wikimedia.org/r/437642

Change 440890 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@master] Move lbFactory defintion from construct to execute in populateChangeTagDef

https://gerrit.wikimedia.org/r/440890

Change 440890 merged by jenkins-bot:
[mediawiki/core@master] Move lbFactory defintion from construct to execute in populateChangeTagDef

https://gerrit.wikimedia.org/r/440890

Change 440990 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@master] Add some output for progress in populateChangeTagDef.php

https://gerrit.wikimedia.org/r/440990

Lydia_Pintscher closed this task as Resolved.

Change 440990 merged by jenkins-bot:
[mediawiki/core@master] Add some output for progress in populateChangeTagDef.php

https://gerrit.wikimedia.org/r/440990

Vvjjkkii renamed this task from Add maintenance script to populate change_tag_def to 0ldaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii removed Ladsgroup as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot assigned this task to Ladsgroup.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot closed this task as Resolved.
CommunityTechBot renamed this task from 0ldaaaaaaa to Add maintenance script to populate change_tag_def.
CommunityTechBot added subscribers: gerritbot, Aklapper.